%global _vpath_builddir build

Summary:        Security guidance and baselines in SCAP formats
Name:           scap-security-guide
Version:        0.1.76
Release:        1%{?dist}
License:        BSD
URL:            https://github.com/ComplianceAsCode/content/
Source0:        https://github.com/ComplianceAsCode/content/releases/download/v%{version}/scap-security-guide-%{version}.tar.bz2

Patch0001:      0001-Add-new-product-tencentos4-supporting.patch

Patch5000:      5000-Add-new-product-ocs23-supporting.patch

BuildRequires:  libxslt expat openscap-scanner cmake pcre
BuildRequires:  python3 python3-jinja2 python3-PyYAML python3-setuptools
Requires:       xml-common, openscap-scanner

BuildArch:      noarch

%description
The project provides practical security hardening advice and also links
it to compliance requirements in order to ease deployment activities,
such as certification and accreditation. The SSG bridges the gap between
generalized policy requirements and specific implementation guidance,
in SCAP formats to support automation whenever possible.

%prep
%autosetup -n %{name}-%{version} -p1
mkdir -p build

%build
%cmake -DSSG_SEPARATE_SCAP_FILES_ENABLED=OFF -DSSG_BASH_SCRIPTS_ENABLED=OFF 

%cmake_build

%install
%cmake_install

%files
%license %{_docdir}/%{name}/LICENSE
%{_datadir}/xml/scap/ssg/content
%{_datadir}/%{name}/kickstart
%{_datadir}/%{name}/ansible/*.yml
%{_datadir}/%{name}/tailoring
%lang(en) %{_mandir}/man8/scap-security-guide.8.*
%exclude %{_docdir}/%{name}/README.md
%exclude %{_docdir}/%{name}/Contributors.md
%exclude %{_docdir}/%{name}/guides/*.html
%exclude %{_docdir}/%{name}/tables/*.html

%changelog
* Thu Mar 06 2025 Sinong Chen <costinchen@tencent.com> - 0.1.76-1
- Upgrade version to 0.1.76

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.71-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.71-2
- Rebuilt for loongarch release

* Mon Dec 11 2023 kianli <kianli@tencent.com> - 0.1.71-1
- Upgrade to 0.1.71 and supports OpenCloudOS Stream 23

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.66-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 cunshunxia <cunshunxia@tencent.com> - 0.1.66-1
- upgrade to 0.1.66

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.63-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.63-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 5 2022 Shuo Wang <abushwang@tencent.com> - 0.1.63-1
- initial build
